XFcPrimitiveDrawLineSet class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawLineSet Class Reference

Defines a set of XFcPrimitiveDrawLines. More...

Collaboration diagram for XFcPrimitiveDrawLineSet:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT | ~XFcPrimitiveDrawLineSet ()
| Destructor.
XFCIMPORT INT32 | getLineCount ()
| Returns the amount of line indicies.
XFCIMPORT void | addLine (INT32 aStart, INT32 aEnd)
| Adds a line to the set.
XFCIMPORT XFcPrimitiveDrawLine * | getLine (INT32 aLineIndex)
| Returns a pointer to a line index at aLineIndex.
XFCIMPORT void | clear ()
| Clears the line index set.

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawLineSet * | create (INT32 aMaxLineCount)
| Creates a line index set with aMaxIndexCount maximum amount of lines .

## Protected Member Functions

XFCIMPORT | XFcPrimitiveDrawLineSet ()
| Protected constructor.

## Protected Attributes

XFcPrimitiveDrawLine * | mLines
| Array of lines.
INT32 | mLineCount
| Count of lines.
INT32 | mMaxLines
| Maximum amount of lines.

## Detailed Description

Defines a set of XFcPrimitiveDrawLines.

XFcPrimitiveDrawLineSet is a set of lines defined with indicies. Each line has a start index and end index that refer to points in XFcPrimitiveDrawPointSet.

## Constructor & Destructor Documentation

XFCIMPORT XFcPrimitiveDrawLineSet::~XFcPrimitiveDrawLineSet | ( |  | ) |

| Destructor.

XFCIMPORT XFcPrimitiveDrawLineSet::XFcPrimitiveDrawLineSet | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT void XFcPrimitiveDrawLineSet::addLine | ( | INT32 | aStart,
|  | INT32 | aEnd
| ) |

| Adds a line to the set.

XFCIMPORT void XFcPrimitiveDrawLineSet::clear | ( |  | ) |

| Clears the line index set.

XFCIMPORT XFcPrimitiveDrawLineSet* XFcPrimitiveDrawLineSet::create | ( | INT32 | aMaxLineCount | ) | `[static]`

| Creates a line index set with aMaxIndexCount maximum amount of lines .

XFCIMPORT XFcPrimitiveDrawLine* XFcPrimitiveDrawLineSet::getLine | ( | INT32 | aLineIndex | ) |

| Returns a pointer to a line index at aLineIndex.

XFCIMPORT INT32 XFcPrimitiveDrawLineSet::getLineCount | ( |  | ) |

| Returns the amount of line indicies.

## Member Data Documentation

INT32 XFcPrimitiveDrawLineSet::mLineCount`[protected]`

| Count of lines.

XFcPrimitiveDrawLine* XFcPrimitiveDrawLineSet::mLines`[protected]`

| Array of lines.

INT32 XFcPrimitiveDrawLineSet::mMaxLines`[protected]`

| Maximum amount of lines.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch